bloks

Hi,
It's been a view years when I last did some ACAD drawing.
I need to export all the blocks outoff a dwg.
And I forgot how this is done....
please help
Reply to
mickey
Loading thread data ...
What version?
Reply to
Michael Bulatovich
This is my lisp program for export blocks...
(defun C:ESBLO () (setvar "CMDECHO" 1) (setq gru(ssget) index 0 indexx 0 ) (repeat (sslength gru) (if (= (cdr(assoc 0 (entget (ssname gru index)))) "INSERT") (progn (setq name(cdr(assoc 2 (entget (ssname gru index))))) (command "WBLOCK" name "=") (setq indexx(1+ indexx)) ) ) (setq index(1+ index)) ) (princ "\nFound ")(princ indexx)(princ " blocks")(princ) )
Max
ha scritto nel messaggio news: snipped-for-privacy@4ax.com...
Reply to
Max
If they are going into another drawing, doesn't your "design center" or whatever they're calling that thing do this easily enough? The command is ADCENTER I think.....
Reply to
Michael Bulatovich

PolyTech Forum website is not affiliated with any of the manufacturers or service providers discussed here. All logos and trade names are the property of their respective owners.